org.apache.storm.generated

## Class DistributedRPCInvocations.Processor<I extends DistributedRPCInvocations.Iface>

- java.lang.Object
- - org.apache.storm.thrift.TBaseProcessor<I>
  - - org.apache.storm.generated.DistributedRPCInvocations.Processor<I>

- All Implemented Interfaces:
    org.apache.storm.thrift.TProcessor
  Enclosing class:
    DistributedRPCInvocations

      public static class DistributedRPCInvocations.Processor<I extends DistributedRPCInvocations.Iface>
      extends org.apache.storm.thrift.TBaseProcessor<I>
      implements org.apache.storm.thrift.TProcessor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DistributedRPCInvocations.Processor.failRequest<I extends DistributedRPCInvocations.Iface>`
    `static class` | `DistributedRPCInvocations.Processor.failRequestV2<I extends DistributedRPCInvocations.Iface>`
    `static class` | `DistributedRPCInvocations.Processor.fetchRequest<I extends DistributedRPCInvocations.Iface>`
    `static class` | `DistributedRPCInvocations.Processor.result<I extends DistributedRPCInvocations.Iface>`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `Processor(I iface)`
    `protected` | `Processor(I iface, Map<String,org.apache.storm.thrift.ProcessFunction<I,? extends org.apache.storm.thrift.TBase>> processMap)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.storm.thrift.TBaseProcessor

      `getProcessMapView, process`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.thrift.TProcessor

      `process`

- - ### Constructor Detail

    - #### Processor

          public Processor(I iface)

    - #### Processor

          protected Processor(I iface,
                              Map<String,org.apache.storm.thrift.ProcessFunction<I,? extends org.apache.storm.thrift.TBase>> processMap)

Copyright © 2021 The Apache Software Foundation. All rights reserved.